org.apache.pdfbox.contentstream.operator

## Class Operator

- java.lang.Object
- - org.apache.pdfbox.contentstream.operator.Operator

    public final class Operator
    extends Object

An Operator in a PDF content stream.

Author:
  Ben Litchfield

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte[]` `getImageData()` This is the special case for the ID operator where there are just random bytes inlined the stream.
`COSDictionary` `getImageParameters()` This will get the image parameters, this is only valid for BI operators.
`String` `getName()` This will get the name of the operator.
`static Operator` `getOperator(String operator)` This is used to create/cache operators in the system.
`void` `setImageData(byte[] imageDataArray)` This will set the image data, this is only used for the ID operator.
`void` `setImageParameters(COSDictionary params)` This will set the image parameters, this is only valid for BI operators.
`String` `toString()` This will print a string rep of this class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getOperator

    public static Operator getOperator(String operator)

This is used to create/cache operators in the system.

Parameters:
  `operator` - The operator for the system.
Returns:
  The operator that matches the operator keyword.

#### getName

    public String getName()

This will get the name of the operator.

Returns:
  The string representation of the operation.

#### toString

    public String toString()

This will print a string rep of this class.

Overrides:
  `toString` in class `Object`
Returns:
  A string rep of this class.

#### getImageData

    public byte[] getImageData()

This is the special case for the ID operator where there are just random bytes inlined the stream.

Returns:
  Value of property imageData.

#### setImageData

    public void setImageData(byte[] imageDataArray)

This will set the image data, this is only used for the ID operator.

Parameters:
  `imageDataArray` - New value of property imageData.

#### getImageParameters

    public COSDictionary getImageParameters()

This will get the image parameters, this is only valid for BI operators.

Returns:
  The image parameters.

#### setImageParameters

    public void setImageParameters(COSDictionary params)

This will set the image parameters, this is only valid for BI operators.

Parameters:
  `params` - The image parameters.